Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material
Class SkyReflectionMaterialConfiguration

    java.lang.Object
      de.grogra.imp3d.glsl.utility.ShaderConfiguration
          de.grogra.imp3d.glsl.material.MaterialConfiguration
              de.grogra.imp3d.glsl.material.SkyMaterialConfiguration
                  de.grogra.imp3d.glsl.material.SkyReflectionMaterialConfiguration

    public class SkyReflectionMaterialConfiguration

extends SkyMaterialConfiguration

This class defines a state for a glsl-Shader, where individual ChannelMaps may register Textures, TmpVariables or UniformVariables. It also may complete a shader by querying all needed input from a GLSLCachedMaterial.

Author:
  shi

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.material.MaterialConfiguration
`IT_AMBIENT, IT_DIFFUSE, IT_DIFFUSE_TRANSPERENCY, IT_EMISSIVE, IT_NORMAL, IT_POSITION, IT_PROLOGUE, IT_SHININESS, IT_SPECULAR, IT_TRANSPERENCY, IT_TRANSPERENCY_SHININESS`

Fields inherited from class de.grogra.imp3d.glsl.utility.ShaderConfiguration
`constVar, customSampler, funcMap, referenceKey, sampler, T_BOOL, T_FLOAT, T_MAT3, T_SAMPLER2D, T_SAMPLER2DRECT, T_SAMPLER2DSHADOW, T_SAMPLERCUBE, T_VEC2, T_VEC3, T_VEC4, uniform, USE_DERIVATES, USE_GLOBAL_POS, USE_LOCAL_POS, USE_UV, var, version`

Constructor Summary
`SkyReflectionMaterialConfiguration()`

Method Summary
`ShaderConfiguration` | `clone()`
`java.lang.String[]` | `completeShader(Result[] input)`
`GLSLChannelMap` | `getDefaultInputChannel()`
`void` | `setupDynamicUniforms(javax.media.opengl.GL gl, GLSLDisplay disp, int shaderNo)`
`void` | `setupShader(javax.media.opengl.GL gl, GLSLDisplay disp, int shaderNo)`

Methods inherited from class de.grogra.imp3d.glsl.material.SkyMaterialConfiguration
`equals, hashCode, set, setThisToOther`

Methods inherited from class de.grogra.imp3d.glsl.material.MaterialConfiguration
`getShaderByDefaultCollection, isShaderAntialiasing, perInstance`

Methods inherited from class de.grogra.imp3d.glsl.utility.ShaderConfiguration
`bindTextures, cleanUp, clearTmpVariables, getBit, getReferenceKeyValue, registerCustomTexture, registerFunc, registerGlobalConst, registerNewTmpVar, registerNewUniform, registerTexture, set, setBit, setupTextures, setVersion`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyReflectionMaterialConfiguration

    public SkyReflectionMaterialConfiguration()

Method Detail

### clone

    public ShaderConfiguration clone()

  Overrides:
    `clone` in class `SkyMaterialConfiguration`

### completeShader

    public java.lang.String[] completeShader(Result[] input)

  Overrides:
    `completeShader` in class `SkyMaterialConfiguration`

### getDefaultInputChannel

    public GLSLChannelMap getDefaultInputChannel()

  Overrides:
    `getDefaultInputChannel` in class `SkyMaterialConfiguration`

### setupDynamicUniforms

    public void setupDynamicUniforms(javax.media.opengl.GL gl,
                                     GLSLDisplay disp,
                                     int shaderNo)

  Overrides:
    `setupDynamicUniforms` in class `SkyMaterialConfiguration`

### setupShader

    public void setupShader(javax.media.opengl.GL gl,
                            GLSLDisplay disp,
                            int shaderNo)

  Overrides:
    `setupShader` in class `SkyMaterialConfiguration`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD